package com.heyu.api.data.entity.device;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*设备信息对话记录表
* @author quyixiao
* @since 2025-03-04
*/

@Data
@TableName("device_user_talk_record")
public class DeviceUserTalkRecordEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.device.DeviceUserTalkRecordEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                                   // 
    public final static String is_delete = CLASS_NAME + "is_delete";                      // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";                  // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";                  // 修改时间
    public final static String ask_number = CLASS_NAME + "ask_number";                    // 当前用户当前设备问话一次标识（考虑到可能有多个第三方回答）
    public final static String user_id = CLASS_NAME + "user_id";                          // 用户id
    public final static String device_id = CLASS_NAME + "device_id";                      // 设备id
    public final static String ask_value = CLASS_NAME + "ask_value";                      // 问话内容
    public final static String ask_type = CLASS_NAME + "ask_type";                        // 回答类型0：文本问答 1：iOT控制 2：天气 3：闹钟 4：U3D 5：音乐声音 100：固件升级 system_talk_answer_config中answer_type保持一致
    public final static String ask_key = CLASS_NAME + "ask_key";                          // 问题关键字
    public final static String answer_value = CLASS_NAME + "answer_value";                // 回答内容（传给box）
    public final static String answer_third_id = CLASS_NAME + "answer_third_id";          // 回答第三方模型（third_config_info），ask_type=4时为talk_answer_config的id
    public final static String answer_third_value = CLASS_NAME + "answer_third_value";    // 第三方回答原始内容
    public final static String is_return = CLASS_NAME + "is_return";                      // 是否返回给用户：0 否 1 是
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //当前用户当前设备问话一次标识（考虑到可能有多个第三方回答）
    private Integer askNumber;
    //用户id
    private Long userId;
    //设备id
    private Long deviceId;
    //问话内容
    private String askValue;
    //回答类型0：文本问答 1：iOT控制 2：天气 3：闹钟 4：U3D 5：音乐声音 100：固件升级 system_talk_answer_config中answer_type保持一致
    private Integer askType;
    //问题关键字
    private String askKey;
    //回答内容（传给box）
    private String answerValue;
    //回答第三方模型（third_config_info），ask_type=4时为talk_answer_config的id
    private Long answerThirdId;
    //第三方回答原始内容
    private String answerThirdValue;
    //是否返回给用户：0 否 1 是
    private Integer isReturn;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 当前用户当前设备问话一次标识（考虑到可能有多个第三方回答） 
     * @return
     */
    public Integer getAskNumber() {
        return askNumber;
    }
    /**
     * 当前用户当前设备问话一次标识（考虑到可能有多个第三方回答） 
     * @param askNumber
     */
    public void setAskNumber(Integer askNumber) {
        this.askNumber = askNumber;
    }

    /**
     * 用户id 
     * @return
     */
    public Long getUserId() {
        return userId;
    }
    /**
     * 用户id 
     * @param userId
     */
    public void setUserId(Long userId) {
        this.userId = userId;
    }

    /**
     * 设备id 
     * @return
     */
    public Long getDeviceId() {
        return deviceId;
    }
    /**
     * 设备id 
     * @param deviceId
     */
    public void setDeviceId(Long deviceId) {
        this.deviceId = deviceId;
    }

    /**
     * 问话内容 
     * @return
     */
    public String getAskValue() {
        return askValue;
    }
    /**
     * 问话内容 
     * @param askValue
     */
    public void setAskValue(String askValue) {
        this.askValue = askValue;
    }

    /**
     * 回答类型0：文本问答 1：iOT控制 2：天气 3：闹钟 4：U3D 5：音乐声音 100：固件升级 system_talk_answer_config中answer_type保持一致 
     * @return
     */
    public Integer getAskType() {
        return askType;
    }
    /**
     * 回答类型0：文本问答 1：iOT控制 2：天气 3：闹钟 4：U3D 5：音乐声音 100：固件升级 system_talk_answer_config中answer_type保持一致 
     * @param askType
     */
    public void setAskType(Integer askType) {
        this.askType = askType;
    }

    /**
     * 问题关键字 
     * @return
     */
    public String getAskKey() {
        return askKey;
    }
    /**
     * 问题关键字 
     * @param askKey
     */
    public void setAskKey(String askKey) {
        this.askKey = askKey;
    }

    /**
     * 回答内容（传给box） 
     * @return
     */
    public String getAnswerValue() {
        return answerValue;
    }
    /**
     * 回答内容（传给box） 
     * @param answerValue
     */
    public void setAnswerValue(String answerValue) {
        this.answerValue = answerValue;
    }

    /**
     * 回答第三方模型（third_config_info），ask_type=4时为talk_answer_config的id 
     * @return
     */
    public Long getAnswerThirdId() {
        return answerThirdId;
    }
    /**
     * 回答第三方模型（third_config_info），ask_type=4时为talk_answer_config的id 
     * @param answerThirdId
     */
    public void setAnswerThirdId(Long answerThirdId) {
        this.answerThirdId = answerThirdId;
    }

    /**
     * 第三方回答原始内容 
     * @return
     */
    public String getAnswerThirdValue() {
        return answerThirdValue;
    }
    /**
     * 第三方回答原始内容 
     * @param answerThirdValue
     */
    public void setAnswerThirdValue(String answerThirdValue) {
        this.answerThirdValue = answerThirdValue;
    }

    /**
     * 是否返回给用户：0 否 1 是 
     * @return
     */
    public Integer getIsReturn() {
        return isReturn;
    }
    /**
     * 是否返回给用户：0 否 1 是 
     * @param isReturn
     */
    public void setIsReturn(Integer isReturn) {
        this.isReturn = isReturn;
    }

    @Override
    public String toString() {
        return "DeviceUserTalkRecordEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",askNumber=" + askNumber +
                ",userId=" + userId +
                ",deviceId=" + deviceId +
                ",askValue=" + askValue +
                ",askType=" + askType +
                ",askKey=" + askKey +
                ",answerValue=" + answerValue +
                ",answerThirdId=" + answerThirdId +
                ",answerThirdValue=" + answerThirdValue +
                ",isReturn=" + isReturn +
                "}";
    }
}